TxfmSizeTypeCfg Struct Reference

Encoder flags for transform sizes and types. More...

`#include <encoder.h>`

## Data Fields

bool | enable_tx64
bool | enable_flip_idtx
bool | enable_rect_tx
bool | reduced_tx_type_set
bool | use_intra_dct_only
bool | use_inter_dct_only
bool | use_intra_default_tx_only
bool | enable_tx_size_search

## Detailed Description

Encoder flags for transform sizes and types.

## Field Documentation

## enable_tx64

bool TxfmSizeTypeCfg::enable_tx64

Flag to indicate if 64-pt transform should be enabled.

## enable_flip_idtx

bool TxfmSizeTypeCfg::enable_flip_idtx

Flag to indicate if flip and identity transform types should be enabled.

## enable_rect_tx

bool TxfmSizeTypeCfg::enable_rect_tx

Flag to indicate if rectangular transform should be enabled.

## reduced_tx_type_set

bool TxfmSizeTypeCfg::reduced_tx_type_set

Flag to indicate whether or not to use a default reduced set for ext-tx rather than the potential full set of 16 transforms.

## use_intra_dct_only

bool TxfmSizeTypeCfg::use_intra_dct_only

Flag to indicate if transform type for intra blocks should be limited to DCT_DCT.

## use_inter_dct_only

bool TxfmSizeTypeCfg::use_inter_dct_only

Flag to indicate if transform type for inter blocks should be limited to DCT_DCT.

## use_intra_default_tx_only

bool TxfmSizeTypeCfg::use_intra_default_tx_only

Flag to indicate if intra blocks should use default transform type (mode-dependent) only.

## enable_tx_size_search

bool TxfmSizeTypeCfg::enable_tx_size_search

Flag to indicate if transform size search should be enabled.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h